Save specific settings for a domain, such as accepting warnings. This call returns a 'key' that may be needed for future setting changes via other API calls.
key from POST /api/preferences key → data.key Accept Example Content-Type Example domain string required
· Example: example.com key string required
· Example: webhotel_warning_accepted value boolean required
· Example: true data object required data.domain string required
· Example: example.com data.key string required
· Example: webhotel_warning_accepted data.message string required
· Example: Preference saved Human-readable message.
data.value boolean required
· Example: true requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
success boolean required
· Example: true True for successful responses.
timestamp string required
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
https://cloud.hostup.se/api/domain-preferences curl -X POST "https://cloud.hostup.se/api/domain-preferences" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"domain": "example.com",
"key": "webhotel_warning_accepted",
"value": true
}' {
"success": true,
"timestamp": "2026-02-10T00:00:00.000Z",
"requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
"data": {
"message": "Preference saved",
"domain": "example.com",
"key": "webhotel_warning_accepted",
"value": true
}
} {
"domain": "example.com",
"key": "webhotel_warning_accepted",
"value": true
}